SSS_USERMOD(8)

NAME
sss_usermod - ändert ein Benutzerkonto

SYNOPSIS

sss_usermod [Optionen] ANMELDUNG

BESCHREIBUNG

sss_usermod ändert das durch ANMELDUNG angegebene Konto, damit es die auf der Befehlszeile angegebenen Änderungen widerzuspiegelt.

OPTIONEN

-c,--gecos KOMMENTAR
    irgendeine Zeichenkette, die den Benutzer beschreibt. Dieses Feld wird oft für den vollständigen Namen des Benutzers verwendet.

-h,--home HOME_VERZ
    das Home-Verzeichnis des Benutzerkontos

-s,--shell SHELL
    die Anmelde-Shell des Benutzers

-a,--append-group GRUPPEN
    hängt diesen Benutzer an die Gruppen an, die durch den Parameter GRUPPEN angegeben werden. Der Parameter GRUPPEN ist eine durch Kommata getrennte Liste von Gruppennamen.

-r,--remove-group GRUPPEN
    entfernt diesen Benutzer aus Gruppen, die durch den Parameter GRUPPEN angegeben werden.

-l,--lock
    sperrt das Benutzerkonto. Der Benutzer wird sich nicht anmelden können.

-u,--unlock
    entsperrt das Benutzerkonto.

-Z,--selinux-user SELINUX_BENUTZER
    der SELinux-Benutzer für die Anmeldung des Anwenders

--addattr ATTR_NAME_WERT
    Ein Attribut/Wert-Paar hinzufügen. Das Format ist Attributname=Wert.

--setattr ATTR_NAME_WERT
    Ein Attribut auf ein Name/Wert-Paar setzen. Das Format ist Attributname=Wert. Bei Attributen mit mehreren Werten ersetzt der Befehl die bereits vorhandenen Werte.

--delattr ATTR_NAME_WERT
    Ein Attribut/Wert-Paar löschen. Das Format ist Attributname=Wert.

-?,--help
    zeigt den Hilfetext und beendet sich.

DIE LOKALE DOMAIN

Für korrektes Funktionieren muss eine Domain mit »id_provider=local« erstellt sein und SSSD muss laufen.

Möglicherweise möchte der Administrator in Fällen, in denen Gruppenverschachtelung (siehe sss_groupadd(8)) benötigt wird, lokale Benutzer anstelle traditioneller UNIX-Benutzer verwenden. Die lokalen Benutzer sind auch für das Testen und Entwickeln von SSSD nützlich, ohne dass ein vollständiger ferner Server bereitgestellt werden muss. Die sss_user*- und sss_group*-Werkzeuge benutzen einen lokalen LDB-Speicher, um Benutzer und Gruppen abzulegen.

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/